Bug 133371 - Assert failure trying to copy CD
Assert failure trying to copy CD
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cdrdao (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-23 12:01 EDT by Bastien Nocera
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-13 08:27:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2004-09-23 12:01:46 EDT
I was trying to copy "Green Day - American Idiot" (the album) when hit
by this bug:

$ cdrdao copy --device /dev/hdb --driver generic-mmc

Track   Mode    Flags  Start                Length
------------------------------------------------------------
 1      AUDIO   0      00:00:00(     0)     02:54:24( 13074)
 2      AUDIO   0      02:54:24( 13074)     09:08:19( 41119)
 3      AUDIO   0      12:02:43( 54193)     03:52:48( 17448)
 4      AUDIO   0      15:55:16( 71641)     04:20:57( 19557)
 5      AUDIO   0      20:15:73( 91198)     02:42:69( 12219)
 6      AUDIO   0      22:58:67(103417)     02:55:17( 13142)
 7      AUDIO   0      25:54:09(116559)     03:25:58( 15433)
 8      AUDIO   0      29:19:67(131992)     02:00:32(  9032)
 9      AUDIO   0      31:20:24(141024)     03:33:70( 16045)
10      AUDIO   0      34:54:19(157069)     04:06:05( 18455)
11      AUDIO   0      39:00:24(175524)     04:45:49( 21424)
12      AUDIO   0      43:45:73(196948)     09:18:39( 41889)
13      AUDIO   0      53:04:37(238837)     04:12:16( 18916)
Leadout AUDIO   0      57:16:53(257753)
 
cdrdao: Msf.cc:36: Msf::Msf(int, int, int): Assertion `sec >= 0 && sec
< 60' failed.
Aborted

See Track 5, the TOC says that the track start at 73 seconds.
cdrdao-1.1.8-3
Comment 1 Bastien Nocera 2004-09-23 12:16:46 EDT
Works out of the box with cdrdao 1.1.9.
Is this big enough a problem to ask for an erratum?
Close RAWHIDE if not.
Comment 2 Harald Hoyer 2004-09-23 12:21:44 EDT
I have to make an update for FC2 anyway...

Note You need to log in before you can comment on or make changes to this bug.